package com.foreverwin.mesnac.common.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.common.model.InspectionItem;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.model.InspectionItemDetail;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 检验项目维护主表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-06-09
 */
public interface InspectionItemService extends IService<InspectionItem> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<InspectionItem> selectPage(FrontPage<InspectionItem> frontPage, InspectionItem inspectionItem);

    List<InspectionItem> selectList(InspectionItem inspectionItem);

    String findRevisionByCurrentRevision(String inspectionItemNo);

    String inspectItemNoGenerationRules(InspectionItem inspectionItem);

    InspectionItem saveAll(InspectionItem inspectionItem);

    void deleteServece(InspectionItem inspectionItem);

    //是否存在质量检验项目
    List<InspectionItemDetail> selectQualityInspection(String sfc, String operation, String stepId, String inspectionType);

    void insert(JSONObject jsonObject);
}